[pycsw] 02/04: Don't ignore errors in prerm/postinst
Johan Van de Wauw
johanvdw-guest at moszumanska.debian.org
Fri Oct 10 23:50:38 UTC 2014
This is an automated email from the git hooks/post-receive script.
johanvdw-guest pushed a commit to branch master
in repository pycsw.
commit c273b445fe430ac400c0264af959743fb7cbe473
Author: Johan Van de Wauw <johan.vandewauw at gmail.com>
Date: Fri Oct 10 22:51:12 2014 +0200
Don't ignore errors in prerm/postinst
---
debian/pycsw-cgi.postinst | 2 ++
debian/pycsw-cgi.prerm | 5 ++++-
2 files changed, 6 insertions(+), 1 deletion(-)
diff --git a/debian/pycsw-cgi.postinst b/debian/pycsw-cgi.postinst
index f4e3e9a..6542b8b 100644
--- a/debian/pycsw-cgi.postinst
+++ b/debian/pycsw-cgi.postinst
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
. /usr/share/apache2/apache2-maintscript-helper
apache2_invoke enmod cgi || exit $?
@@ -8,4 +9,5 @@
. /usr/share/apache2/apache2-maintscript-helper
apache2_invoke ensite pycsw || exit $?
fi
+
#DEBHELPER#
diff --git a/debian/pycsw-cgi.prerm b/debian/pycsw-cgi.prerm
index 0b969f4..79258b5 100644
--- a/debian/pycsw-cgi.prerm
+++ b/debian/pycsw-cgi.prerm
@@ -1,6 +1,9 @@
#/bin/bash
-f [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+set -e
+
+if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
. /usr/share/apache2/apache2-maintscript-helper
apache2_invoke dissite pycsw || exit $?
fi
+
#DEBHELPER#
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-grass/pycsw.git
More information about the Pkg-grass-devel
mailing list